%global momorel 1
%global srcname kipi-plugins
%global prever 0
%global date 20080831
%global svndate 31.08.08
%global qtver 4.4.0
%global kdever 4.1.0
%global kdelibsrel 1m
%global kdegraphicsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: KDE image Interface Plugins
Name: kipi-plugins4
Version: 0.2.0
Release: %{prever}.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://www.kipi-plugins.org/drupal/
Group: System Environment/Libraries
Source0: %{srcname}-%{svndate}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: kdegraphics-libs >= %{kdever}-%{kdegraphicsrel}
Requires: ImageMagick
Requires: k3b
Requires: mjpegtools
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdegraphics-devel >= %{kdever}-%{kdegraphicsrel}
BuildPreReq: cmake
BuildPreReq: exiv2-devel >= 0.14
BuildPreReq: gettext
BuildPreReq: glib2-devel
BuildPreReq: gphoto2 >= 2.1.5-3m
BuildPreReq: imlib2-devel >= 1.2.2-3m
BuildPreReq: libexif-devel >= 0.6.16-2m
BuildPreReq: libgphoto2-devel >= 2.1.5-4m
BuildPreReq: libgpod-devel >= 0.6.0
BuildPreReq: libtiff-devel >= 3.5.0
BuildPreReq: libtool
BuildPreReq: libxml2
BuildPreReq: libxslt-devel
BuildPreReq: mjpegtools-devel >= 1.6.0

%description
The library of the KDE Image Plugin Interface.  

Libkipi allows image applications to use a plugin architecture 
for additional functionality  such as: RawConverter, SlideShow, 
MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

%package devel
Summary: Developer files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel

%description devel
%{summary}.

%prep
%setup -q -n %{srcname}-%{svndate}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DKDCRAW_LOCAL_FOUND=%{_kde4_libdir}/kde4/devel/libkdcraw.so \
	-DKDCRAW_LOCAL_FOUND_IN_LIBS=%{_kde4_libdir}/libkdcraw.so.5 \
	-DKEXIV2_LOCAL_FOUND=%{_kde4_libdir}/kde4/devel/libkexiv2.so \
	-DKEXIV2_LOCAL_FOUND_IN_LIBS=%{_kde4_libdir}/libkexiv2.so.6 \
	-DKIPI_LOCAL_FOUND=%{_kde4_libdir}/kde4/devel/libkipi.so \
	-DKIPI_LOCAL_FOUND_IN_LIBS=%{_kde4_libdir}/libkipi.so.5 \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# conflicts with kipi-plugins-0.1.5
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_acquireimages.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_flickrexport.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_galleryexport.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_gpssync.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_htmlexport.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_jpeglossless.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_metadataedit.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_rawconverter.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_sendimages.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_slideshow.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_timeadjust.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugin_wallpaper.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kipiplugins.mo

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in libkipiplugins.so ; do
  linktarget=`readlink "$i"`
  rm -f "$i"
  ln -sf "../../$linktarget" "kde4/devel/$i"
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL src/NEWS README TODO
%{_kde4_libdir}/kde4/kipiplugin_*.so
%{_kde4_libdir}/libkipiplugins.so.*
%{_datadir}/apps/kipiplugin*
%{_kde4_iconsdir}/*/*/*/*.png
%{_kde4_datadir}/kde4/services/kipiplugin_*.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/devel/libkipiplugins.so

%changelog
* Sun Aug 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.20080831.1m)
- update to 20080831 svn snapshot
- remove disable-metadataedit.patch

- * Sun Aug 31 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (0.2.0-0.20080704.2m)
- - rebuild against kdegraphics-4.1.63-1m

* Fri Jul  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.20080704.1m)
- update to 20080704 svn snapshot for KDE 4.1 Beta 2+

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-5m)
- rebuild without kdepim

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-4m)
- revise %%{_docdir}/HTML/*/kipi-plugins/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.5-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.5-2m)
- rebuild against gcc43

* Mon Mar 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- version 0.1.5

* Sun Feb 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.4-7m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-6m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-5m)
- rebuild against libgpod-0.6.0

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-4m)
- rebuild against libgpod-0.5.2

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-3m)
- rebuild against libkexiv2-1.1.6 and libkdcraw-1.1.2
- License: GPLv2

* Thu Jul  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.4-2m)
- add version at BuildPreReq: libkdcraw-devel >= 0.1.1

* Tue Jul  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4
- remove libkexiv2 patches

* Sun May 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-6m)
- rebuild against libkexiv2-0.1.5

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-5m)
- rebuild against libkexiv2-0.1.2-2m
- import libkexiv2 patches from cooker

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-4m)
- clean up spec file

* Mon Mar  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-3m)
- rebuild against exiv2-0.13

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.3-2m)
- rebuild against kdelibs etc.

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-1m)
- version 0.1.3
- add kipi-plugins-0.1.3-libgpod-0.4.2.patch
  http://bugs.kde.org/show_bug.cgi?id=140279
- BuildPreReq: libgpod-devel >= 0.4.2, glib-devel
- remove disable_ipod.patch.bz2
- remove detect-libgpod.patch

* Thu Dec 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-0.2.1m)
- update to version 0.1.3-rc1
- add detect-libgpod.patch

* Sun Dec 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-0.1.1m)
- update to version 0.1.3-beta1
- apply disable_ipod.patch

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-1m)
- rebuild against kdelibs-3.5.4-3m

* Tue Jul 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Mon Jul 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- version 0.1.1

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.5m)
- fix symlinks

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.4m)
- add --enable-new-ldflags to configure

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.3m)
- rebuild against libexif-0.6.12-1m

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.2m)
- rebuild against KDE 3.5 RC1

* Thu Oct 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.1m)
- update to version 0.1.0-rc1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.2m)
- add --disable-rpath to configure

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
